%********************** DSMC -- Visualization **********************
clc, clear all, close all

%%% Import data
load xcell.txt;  load ycell.txt;
load ave_n.txt;  load ave_T.txt;
load ave_ux.txt; load ave_uy.txt; load ave_uz.txt;    
Torr=133.32; % Pa
T=278; % K
kb=1.3806488e-23; % J/K
ave_p=ave_n*kb*T/Torr; % p=nkT [Torr]


%% Plot data
figure;
plotScalarField(xcell,ycell,ave_n);
zlabel('Number density');
 
figure;
plotScalarField(xcell,ycell,ave_p);
zlabel('Pressure [Torr]');

figure;
quiver(xcell,ycell,ave_ux,ave_uy);
ylabel('Velocities [m/s]');

figure;
plotScalarField(xcell,ycell,ave_T); 
zlabel('Temperature [K]');

 