// main header file dsmc.cpp

#include <fstream>
#include <math.h>
#include "MatrixSTL.h" // uses STL's <vector>

#define ForCells(cell) for (cell=1; cell<=ncell; cell++)
#define ForParts(part) for (part=1; part<=npart; part++)
#define kT (boltz*temp)

void thermalizeParticle(int i, double box[], Matrix & x, Matrix & v);
double randRange(double min, double max);
double linear(double a, double b, double x);
double round(double d);
int particlePosition2CellAddress(int i, Matrix& x, double L, double H, int ncellx, int ncelly);

const int Debug=0;

namespace Parameters {
  //* Initialize constants  (particle mass, diameter, etc.)
  extern double const 
    pi,
    boltz,
    torr,
    mass,
    diam,
    temp,
    pres1,
    pres2;
  extern long seed;
}
