function [out] = plotScalarField(x,y,z)
%% Plot scalar function z in the x-y plane

% Determine the minimum and the maximum x and y values:
xmin = min(x); ymin = min(y);
xmax = max(x); ymax = max(y); 

% Define the resolution of the grid:
xres=300;
yres=300;

% Define the range and spacing of the x- and y-coordinates,
% and then fit them into X and Y
xv = linspace(xmin, xmax, xres);
yv = linspace(ymin, ymax, yres);
[Xinterp,Yinterp] = meshgrid(xv,yv); 

% Calculate Z in the X-Y interpolation space, which is an 
% evenly spaced grid:
Zinterp = griddata(x,y,z,Xinterp,Yinterp); 

% Generate the mesh plot (CONTOUR can also be used):

%[C,h]=contour(Xinterp,Yinterp,Zinterp);
%clabel(C,h,'LabelSpacing',1e6);
%clabel(C,h,'manual','LabelSpacing',1e6);

mesh(Xinterp,Yinterp,Zinterp,'FaceColor','interp'); colorbar
view (2)

% colormap(cool(8))
% xlim([0 1]); ylim([0 1]);
% set(gca,'XTick',[0 0.5 1]); set(gca,'YTick',[0 0.5 1]); grid on;  
% xlabel y; ylabel z; zlabel('|\nabla \cdot \Omega^S|');
end


